Subject: 24.0.50; gnus-summary-refer-thread marks inserted articles as read

From: Johan Bockgård <[email-masked]>
Date: Tue, 12 Jul 2011 11:33:44 +0200

When an unread article is inserted in the summary by
gnus-summary-refer-thread (`A T') it ends up being marked as read.

Breakage introduced by 2010-11-07 change to gnus-sum.el (in Emacs
trunk):

       * gnus-sum.el (gnus-fetch-headers): Allow more arguments.
       (gnus-summary-refer-thread): Rework to improve thread-referral.

gnus-summary-refer-thread needs to update gnus-newsgroup-unreads,
methinks (there used to be a call to gnus-build-all-threads).